## imp for

=== Makefile ===
OCAMLC = ocamlc
OCAMLOPT = ocamlopt
OCAMLDEP = ocamldep
OCAMLLEX = ocamllex
OCAMLYACC = ocamlyacc

INCLUDES = 
OCAMLFLAGS = -g $(INCLUDES)
OCAMLOPTFLAGS = $(INCLUDES)

PROG = imp
OBJS = ast.cmo lexer.cmo imp.cmo interpretation.cmo parser.cmo pprint.cmo main.cmo
GEN = imp.ml imp.mli lexer.ml

$(PROG): $(OBJS)
	$(OCAMLC) -o $(PROG) $(OCAMLFLAGS) $(OBJS)

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.cmo:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.mli.cmi:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.ml.cmx:
	$(OCAMLOPT) $(OCAMLOPTLAGS) -c $<

lexer.ml: lexer.mll
	$(OCAMLLEX) $<

imp.ml imp.mli: imp.mly
	$(OCAMLYACC) $<

clean:
	-rm -f $(PROG) *.cm[iox] $(GEN)

imp.cmi: ast.cmi 
lexer.cmi: imp.cmi 
imp.cmo: ast.cmi lexer.cmi imp.cmi 
imp.cmx: ast.cmx lexer.cmx imp.cmi 
lexer.cmo: imp.cmi lexer.cmi 
lexer.cmx: imp.cmx lexer.cmi 
interpretation.cmi: ast.cmi 
parser.cmi: ast.cmi 
pprint.cmi: ast.cmi 
ast.cmo: ast.cmi 
ast.cmx: ast.cmi 
interpretation.cmo: ast.cmi interpretation.cmi 
interpretation.cmx: ast.cmx interpretation.cmi 
main.cmo: ast.cmi interpretation.cmi parser.cmi pprint.cmi main.cmi 
main.cmx: ast.cmx interpretation.cmx parser.cmx pprint.cmx main.cmi 
parser.cmo: lexer.cmi parser.cmi 
parser.cmx: lexer.cmi parser.cmi 
pprint.cmo: ast.cmi pprint.cmi 
pprint.cmx: ast.cmx pprint.cmi

## imp 2.2.6-0.potato.5

=== debian/changelog ===
imp (2:2.2.6-0.potato.5) stable; urgency=high

  * Fixed postgres bug introduced by php4 security update, closes: #128110.
  * Fixed cross site scripting security bug, closes: #141941.

 -- Ola Lundqvist <opal@debian.org>  Thu, 11 Apr 2002 03:40:13 -0600

imp (2:2.2.6-0.potato.4) stable; urgency=low

  * SECURITY FIX, backport from 2.2.7, closes: #118986.

 -- Ola Lundqvist <ola.lundqvist@euronetics.se>  Mon, 12 Nov 2001 15:50:32 +0100

imp (2:2.2.6-0.potato.3) stable; urgency=low

  * Fixed popassd problem, closes: #109045, #96380.
  * Fixed pgsql (preferences) problem. Ugly php bug!
  * Fixed locale/se glitch again.
  * Have now verified that some bugs are fixed, closes: #89829, #108623,
    #105978, #99258.

 -- Ola Lundqvist <opal@debian.org>  Tue, 21 Aug 2001 09:24:25 +0200

imp (2:2.2.6-0.potato.2) stable; urgency=low

  * Applied the previous patches. The security fix was implemented a bit
    too fast.
  * Fixing more file permissions, SECURITY issues.

 -- Ola Lundqvist <opal@debian.org>  Mon,  13 Aug 2001 12:12:42 +0200

imp (2:2.2.6-0.potato.1) stable; urgency=low

  * New upstream version, SECURITY fixes, closes: #106179.

 -- Ola Lundqvist <opal@debian.org>  Fri,  3 Aug 2001 13:01:58 +0200

imp (2:2.2.3-0.potato.5) stable; urgency=low

  * Fixed writeable config files, closes: #102796.
  * New maintainer (have been for the unstable packages for quite some time).
  * Fixed se locale glitch, closes: #96396.

 -- Ola Lundqvist <opal@debian.org>  Thu,  2 Aug 2001 16:43:18 +0200

imp (2:2.2.3-0.potato.4) stable; urgency=low
 
  * Fixing problem with reloading "none" web server
    (left system hung and is thus a RC bug)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 16 Nov 2000 14:45:00 -0700

imp (2:2.2.3-0.potato.3) stable; urgency=low
 
  * More upstream fixes
    new Catalan locale
    Bug 527: Prevent JS error using "house" INBOX icon when user folders are
      disabled (as with POP3)
    Add missing imap_utf7_encode() calls in saving and postponing messages.
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Nov 2000 22:45:00 -0700

imp (2:2.2.3-0.potato.2) stable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:00:00 -0700
                                                                                

imp (2:2.2.2-8) unstable; urgency=low
 
  * upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 04 Oct 2000 23:30:00 -0700
                                                                                

imp (2:2.2.2-7) unstable; urgency=low
 
  * Other minor upstream fixes
  * Re-enabling php4-mysql support
  * Fixing postinst errors

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 01 Oct 2000 22:30:00 -0700

imp (2:2.2.2-6) unstable; urgency=low
 
  * Korean language addition
  * German translation updates
  * Other minor upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 28 Sep 2000 04:45:00 -0700

imp (2:2.2.2-5) unstable; urgency=low
 
  * More upstream fixes
  * More security related cleanup for impcleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Sep 2000 16:00:00 -0700

imp (2:2.2.2-4) unstable; urgency=low
 
  * Some security related cleanup for impcleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Sep 2000 16:00:00 -0700

imp (2:2.2.2-3) unstable; urgency=low
 
  * More upstream fixes
  * Cleaning up more debconf stuff
  * more update-imp fixes
  * changing impcleanup to run as webuser
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 21 Sep 2000 02:30:00 -0700

imp (2:2.2.2-2) unstable; urgency=low
 
  * update-horde honors defaults.php3.in file once again (Closes: #71821)
  * adding in extra values into defaults.php3.in file (Closes: #71822)

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 19 Sep 2000 00:45:00 -0700

imp (2:2.2.2-1) unstable; urgency=low
 
  * Round 2 of mailfrom security fixes 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 16:45:00 -0700

imp (2:2.2.1-1) unstable; urgency=low

  * More mailbox security updates
  * Some locales updates as well

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Sep 2000 02:30:00 -0700

imp (2:2.2.1-0) unstable; urgency=low
 
  * Upstream Security release
  * Fixes problem reported on BUGTRAQ
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Sep 2000 01:30:00 -0700

imp (2:2.2.0-13) unstable; urgency=low
 
  * More upstream fixes
  * More charset fixes
  * Adding in support for web group
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 19:30:00 -0700
                                                                                

imp (2:2.2.0-12) unstable; urgency=low

  * Fixing russian language default charset issues
  * Minor tweaks and documentation updates

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 02:00:00 -0700

imp (2:2.2.0-11) unstable; urgency=low
 
  * 2.2.0 official release 
  * Minor tweaks and documentation updates
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 22 Aug 2000 01:45:00 -0700
                                                                                

imp (2:2.2.0-10) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Aug 2000 16:30:00 -0700
                                                                                

imp (2:2.2.0-9) unstable; urgency=low

  * Minor lynx updates/fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 12 Aug 2000 05:30:00 -0700

imp (2:2.2.0-8) unstable; urgency=low

  * Minor updates/fixes
  * Making horde a pre-depend to fix a weird config issue related to
    debconf

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 9 Aug 2000 00:30:00 -0700

imp (2:2.2.0-7) unstable; urgency=low

  * Fixes update-imp script missing language change variable (Closes: #68332)
  * Upstream fix to french translation prob (Closes: #67883) 

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 2 Aug 2000 18:00:00 -0700



=== debian/control ===
Source: imp
Build-Depends: debhelper
Section: web
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.1.1

Package: imp
Architecture: all
Pre-Depends: debconf (>= 0.2.78), horde (>= 2:1.2.6-0)
Depends: php3 | php4 (>= 4.0.3pl1), httpd, postgresql-client | mysql-client, php3-imap | php4-imap, php3-ldap | php4-ldap, php3-pgsql | php3-mysql | php4-mysql | php4-pgsql, grep, sed, binutils, mail-transport-agent, ${perl:Depends}
Suggests: apache, imap-server | pop3-server, libapache-mod-ssl, exim | sendmail, rpm, unzip, ispell, wv, tar, postgresql | mysql-server
Provides: imap-client
Description: Web Based IMAP Mail Program.
 A set of PHP3 scripts that implement an IMAP based webmail
 system. Assuming you have an account on a server that supports
 IMAP, you can theoretically use an installation of IMP to check your
 mail from anywhere that you have web access.
 .
 IMP does not require an IMAP server to be running on the machine you
 install it on unless you are intending to have it use the current machine
 for it's IMAP connections. (If you are connecting to a remote server
 for your mail than you don't need IMAP)
 .
 IMP requires a database to be running if you want to use the extended
 features such as the addressbook, and prefs.  It currently uses PHPLib 
 for the database interface so as long as PHPLib supports your database of
 choice your good to go.  This package is designed to support 
 PostgreSQL and MySql directly.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: 
	#**** Off we go... ****

clean:
	dh_testdir
	rm -f install-stamp 
	-rm -f debian/files
	-rm -f debian/substvars
	dh_clean

install: install-stamp
install-stamp: 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	for i in `ls | grep -v debian | grep -v packaging`; do \
	  cp -R $$i debian/tmp/usr/share/horde/imp ; \
	done
	-cp -R debian/tmp/usr/share/horde/imp/scripts/* debian/tmp/usr/share/doc/imp/examples/
	-rm -rf debian/tmp/usr/share/horde/imp/scripts
	-rm -rf `find debian/tmp/ -print | grep CVS`
	-mv debian/tmp/usr/share/horde/imp/docs/* debian/tmp/usr/share/doc/imp/
	-rm -rf debian/tmp/usr/share/horde/imp/docs debian/tmp/usr/share/horde/imp/packaging
	mv debian/tmp/usr/share/horde/imp/config/* debian/tmp/etc/imp
	mv debian/tmp/etc/imp/defaults.php3.dist debian/tmp/usr/share/doc/imp/examples
	mv debian/tmp/etc/imp/servers.php3.dist debian/tmp/etc/imp/servers.php3
	mv debian/tmp/etc/imp/mime.php3.dist debian/tmp/usr/share/doc/imp/examples
	mv debian/tmp/etc/imp/ldap.php3.dist debian/tmp/etc/imp/ldap.php3
	-rm -rf debian/tmp/usr/share/horde/imp/config
	chmod 644 `find debian/tmp/usr/share -type f -print `
	chmod 644 `find debian/tmp/usr/share/doc -type f -print `
	cp debian/Debian.Install debian/tmp/usr/share/doc/imp
	cp debian/pgsql_* debian/tmp/usr/share/doc/imp/examples
	cp debian/mysql* debian/tmp/usr/share/doc/imp/examples
	cp debian/defaults.php3.in debian/tmp/etc/imp
	cp debian/custom_from.in debian/tmp/etc/imp
	cp debian/mime.php3 debian/tmp/etc/imp
	chmod 644 debian/tmp/etc/imp/*
	cp debian/update-imp debian/tmp/usr/sbin
	cp debian/impcleanup debian/tmp/usr/sbin
	cp debian/version.php debian/tmp/usr/share/horde/imp/lib
	cd debian/tmp/usr/share/horde/imp && rm -f COPYING README
	-chmod 755 debian/tmp/usr/share/doc/imp/examples/*.sh \
		debian/tmp/usr/share/doc/imp/examples/*pl \
		debian/tmp/usr/share/doc/imp/examples/*cron \
		debian/tmp/usr/sbin/impcleanup

	# add prepend code
	for i in debian/tmp/usr/share/horde/imp/*; do \
	  if [ -f $$i ]; then \
	    printf "<?php if (!defined(\"HORDE_LIB\")) { include '/etc/horde/prepend.php3'; } ?>" > $$i.tmp; \
	    cat $$i >> $$i.tmp; \
	    mv -f $$i.tmp $$i; \
	  fi; \
	done 
	for i in `find debian/tmp/usr/share/horde/imp/`; do \
	  if [ -f $$i ]; then \
	    sed -e "s#\../config/#/etc/horde/#; s#./config/#/etc/imp/#" $$i > $$i.tmp; \
	    mv -f $$i.tmp $$i; \
	  fi; \
	done    
     


	touch install-stamp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs 
	dh_installcron
	dh_installexamples
	dh_undocumented  
	dh_installchangelogs docs/CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms 
	chown -R www-data.root debian/tmp/usr/share/horde/imp 
	-chmod 755 debian/tmp/usr/share/doc/imp/examples/*.sh \
	           debian/tmp/usr/share/doc/imp/examples/*pl \
		   debian/tmp/usr/share/doc/imp/examples/*cron \
		   debian/tmp/etc/imp/defaults.php3.in \
		   debian/tmp/usr/sbin/update-imp
	chown www-data.www-data debian/tmp/usr/sbin/impcleanup 
	chmod u+s debian/tmp/usr/sbin/impcleanup
	dh_suidregister usr/sbin/impcleanup
	dh_perl
	dh_installdeb
	dh_shlibdeps

	cd debian/tmp && find ./etc -type f -print | sed -e 's#^./#/#' > DEBIAN/conffiles

	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep 
.PHONY: build install clean binary-indep binary
